<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>HSSFFormulaParser (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="HSSFFormulaParser (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":9,"i2":9,"i3":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HSSFFormulaParser.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hssf/model/DrawingManager2.html"
               title="class in org.apache.poi.hssf.model"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hssf/model/InternalSheet.html"
               title="class in org.apache.poi.hssf.model"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/model/HSSFFormulaParser.html"
               target="_top">Frames</a></li>
        <li><a href="HSSFFormulaParser.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hssf.model</div>
    <h2 title="Class HSSFFormulaParser" class="title">Class HSSFFormulaParser</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.hssf.model.HSSFFormulaParser</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <hr>
                <br>
                <pre><a href="../../../../../org/apache/poi/util/Internal.html"
                        title="annotation in org.apache.poi.util">@Internal</a>
public final class <span class="typeNameLabel">HSSFFormulaParser</span>
extends java.lang.Object</pre>
                <div class="block">HSSF wrapper for the <a
                        href="../../../../../org/apache/poi/ss/formula/FormulaParser.html"
                        title="class in org.apache.poi.ss.formula"><code>FormulaParser</code></a> and <a
                        href="../../../../../org/apache/poi/ss/formula/FormulaRenderer.html"
                        title="class in org.apache.poi.ss.formula"><code>FormulaRenderer</code></a></div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t1" class="tableTab"><span><a
                                    href="javascript:show(1);">Static Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/ss/formula/ptg/Ptg.html"
                                        title="class in org.apache.poi.ss.formula.ptg">Ptg</a>[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/model/HSSFFormulaParser.html#parse-java.lang.String-org.apache.poi.hssf.usermodel.HSSFWorkbook-">parse</a></span>(java.lang.String&nbsp;formula,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                       title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;workbook)</code>
                                    <div class="block">Convenience method for parsing cell formulas.</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/ss/formula/ptg/Ptg.html"
                                        title="class in org.apache.poi.ss.formula.ptg">Ptg</a>[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/model/HSSFFormulaParser.html#parse-java.lang.String-org.apache.poi.hssf.usermodel.HSSFWorkbook-org.apache.poi.ss.formula.FormulaType-">parse</a></span>(java.lang.String&nbsp;formula,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                       title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;workbook,
                                    <a href="../../../../../org/apache/poi/ss/formula/FormulaType.html"
                                       title="enum in org.apache.poi.ss.formula">FormulaType</a>&nbsp;formulaType)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/ss/formula/ptg/Ptg.html"
                                        title="class in org.apache.poi.ss.formula.ptg">Ptg</a>[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/model/HSSFFormulaParser.html#parse-java.lang.String-org.apache.poi.hssf.usermodel.HSSFWorkbook-org.apache.poi.ss.formula.FormulaType-int-">parse</a></span>(java.lang.String&nbsp;formula,
                                    <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                       title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;workbook,
                                    <a href="../../../../../org/apache/poi/ss/formula/FormulaType.html"
                                       title="enum in org.apache.poi.ss.formula">FormulaType</a>&nbsp;formulaType,
                                    int&nbsp;sheetIndex)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>static java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hssf/model/HSSFFormulaParser.html#toFormulaString-org.apache.poi.hssf.usermodel.HSSFWorkbook-org.apache.poi.ss.formula.ptg.Ptg:A-">toFormulaString</a></span>(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;book,
                                    <a href="../../../../../org/apache/poi/ss/formula/ptg/Ptg.html"
                                       title="class in org.apache.poi.ss.formula.ptg">Ptg</a>[]&nbsp;ptgs)</code>
                                    <div class="block">Static method to convert an array of <a
                                            href="../../../../../org/apache/poi/ss/formula/ptg/Ptg.html"
                                            title="class in org.apache.poi.ss.formula.ptg"><code>Ptg</code></a>s in RPN
                                        order
                                        to a human readable string format in infix mode.
                                    </div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="parse-java.lang.String-org.apache.poi.hssf.usermodel.HSSFWorkbook-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>parse</h4>
                                <pre>public static&nbsp;<a href="../../../../../org/apache/poi/ss/formula/ptg/Ptg.html"
                                                           title="class in org.apache.poi.ss.formula.ptg">Ptg</a>[]&nbsp;parse(java.lang.String&nbsp;formula,
                          <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                             title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;workbook)
                   throws <a href="../../../../../org/apache/poi/ss/formula/FormulaParseException.html"
                             title="class in org.apache.poi.ss.formula">FormulaParseException</a></pre>
                                <div class="block">Convenience method for parsing cell formulas. see <a
                                        href="../../../../../org/apache/poi/hssf/model/HSSFFormulaParser.html#parse-java.lang.String-org.apache.poi.hssf.usermodel.HSSFWorkbook-org.apache.poi.ss.formula.FormulaType-int-"><code>parse(String,
                                    HSSFWorkbook, FormulaType, int)</code></a></div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>formula</code> - The formula to parse, excluding the leading equals sign
                                    </dd>
                                    <dd><code>workbook</code> - The parent workbook</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the parsed formula tokens</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/formula/FormulaParseException.html"
                                            title="class in org.apache.poi.ss.formula">FormulaParseException</a></code>
                                        - if the formula has incorrect syntax or is otherwise invalid
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="parse-java.lang.String-org.apache.poi.hssf.usermodel.HSSFWorkbook-org.apache.poi.ss.formula.FormulaType-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>parse</h4>
                                <pre>public static&nbsp;<a href="../../../../../org/apache/poi/ss/formula/ptg/Ptg.html"
                                                           title="class in org.apache.poi.ss.formula.ptg">Ptg</a>[]&nbsp;parse(java.lang.String&nbsp;formula,
                          <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                             title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;workbook,
                          <a href="../../../../../org/apache/poi/ss/formula/FormulaType.html"
                             title="enum in org.apache.poi.ss.formula">FormulaType</a>&nbsp;formulaType)
                   throws <a href="../../../../../org/apache/poi/ss/formula/FormulaParseException.html"
                             title="class in org.apache.poi.ss.formula">FormulaParseException</a></pre>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>formula</code> - The formula to parse, excluding the leading equals sign
                                    </dd>
                                    <dd><code>workbook</code> - The parent workbook</dd>
                                    <dd><code>formulaType</code> - The type of formula</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>The parsed formula tokens</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/formula/FormulaParseException.html"
                                            title="class in org.apache.poi.ss.formula">FormulaParseException</a></code>
                                        - if the formula has incorrect syntax or is otherwise invalid
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="parse-java.lang.String-org.apache.poi.hssf.usermodel.HSSFWorkbook-org.apache.poi.ss.formula.FormulaType-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>parse</h4>
                                <pre>public static&nbsp;<a href="../../../../../org/apache/poi/ss/formula/ptg/Ptg.html"
                                                           title="class in org.apache.poi.ss.formula.ptg">Ptg</a>[]&nbsp;parse(java.lang.String&nbsp;formula,
                          <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                             title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;workbook,
                          <a href="../../../../../org/apache/poi/ss/formula/FormulaType.html"
                             title="enum in org.apache.poi.ss.formula">FormulaType</a>&nbsp;formulaType,
                          int&nbsp;sheetIndex)
                   throws <a href="../../../../../org/apache/poi/ss/formula/FormulaParseException.html"
                             title="class in org.apache.poi.ss.formula">FormulaParseException</a></pre>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>formula</code> - The formula to parse</dd>
                                    <dd><code>workbook</code> - The parent workbook</dd>
                                    <dd><code>formulaType</code> - The type of formula</dd>
                                    <dd><code>sheetIndex</code> - The 0-based index of the sheet this formula belongs
                                        to.
                                        The sheet index is required to resolve sheet-level names. <code>-1</code> means
                                        that
                                        the scope of the name will be ignored and the parser will match named ranges
                                        only by name
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the parsed formula tokens</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/formula/FormulaParseException.html"
                                            title="class in org.apache.poi.ss.formula">FormulaParseException</a></code>
                                        - if the formula has incorrect syntax or is otherwise invalid
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="toFormulaString-org.apache.poi.hssf.usermodel.HSSFWorkbook-org.apache.poi.ss.formula.ptg.Ptg:A-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>toFormulaString</h4>
                                <pre>public static&nbsp;java.lang.String&nbsp;toFormulaString(<a
                                        href="../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                        title="class in org.apache.poi.hssf.usermodel">HSSFWorkbook</a>&nbsp;book,
                                               <a href="../../../../../org/apache/poi/ss/formula/ptg/Ptg.html"
                                                  title="class in org.apache.poi.ss.formula.ptg">Ptg</a>[]&nbsp;ptgs)</pre>
                                <div class="block">Static method to convert an array of <a
                                        href="../../../../../org/apache/poi/ss/formula/ptg/Ptg.html"
                                        title="class in org.apache.poi.ss.formula.ptg"><code>Ptg</code></a>s in RPN
                                    order
                                    to a human readable string format in infix mode.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>book</code> - used for defined names and 3D references</dd>
                                    <dd><code>ptgs</code> - must not be <code>null</code></dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>a human readable String</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/HSSFFormulaParser.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hssf/model/DrawingManager2.html"
               title="class in org.apache.poi.hssf.model"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hssf/model/InternalSheet.html"
               title="class in org.apache.poi.hssf.model"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hssf/model/HSSFFormulaParser.html"
               target="_top">Frames</a></li>
        <li><a href="HSSFFormulaParser.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
